# Arduino Joystick library
This is a library that builds and sends USB HID Joystick reports, making it easy to build USB Joysticks with Arduino.

## Dependencies
* Your Arduino's USB communication chip must be programmed with the arduino-big-joystick firmware (or similar). See <https://github.com/harlequin-tech/arduino-usb> for more info.
* The Bounce2 library, available at <https://github.com/thomasfredericks/Bounce2>.

## Installation
1. Put the arduino-joystick directory into your Arduino libraries directory.
2. Make sure Bounce2 is installed!

## Usage
1. In your arduino sketch, add the includes:
    #include <Bounce2.h>
    #include <Joystick.h>
2. Create a Joystick object:
    Joystick joystick;
3. Add buttons and axes in setup() with Joystick::AddButton(), and call Joystick::Update() in loop(). That's it!
